Subject: RE: [DNA] [Issue X] LinkID v.s. Landmark Prefix

From: "Tero Kauppinen (JO/LMF)" <[email-masked]>
Date: Tue, 26 Jul 2005 07:31:02 +0200

> Assume a link with two routers R1 and R2 and a host H.
> R1 advertises Prefix1 and R2 Prefix2.
> 
> R2 stops advertising Prefix2 and starts advertising Prefix3.
> R2 announces the prefix change by sending an RA but
> both R1 and H don't receive it.
> 
> Then H happens to change its AP in the same link
> and send an RS with landmark Prefix2. It also happens that
> R2 replies first and sends an RA with NO and Prefix3.
> H falsely assumes a link change.

But isn't it actually so that in this case the host shouldn't use an
address based on Prefix2 and thus reconfiguration is required (i.e. link
change from host H point of view)? After all, Prefix2 is not anymore
valid.

Tero

---

From: JinHyeock Choi <[email-masked]>
Date: Tue, 26 Jul 2005 14:50:25 +0900

Dear Tero

> change from host H point of view)? After all, Prefix2 is not anymore

Host may also have an address with Prefix1. While the address with
Prefix1 is valid, the host will throw it away because it thinks it is at 
a different link. 

Best Regards

JinHyeock

---

From: JinHyeock Choi <[email-masked]>
Date: Tue, 26 Jul 2005 15:04:19 +0900

Dear Tero

> I have been dead silence for quite a long time now. I haven't been able
> to follow the WG progress and I feel somewhat lost. I spent a couple of
> days last week trying to catch up with the work ... ~200 unread mails
> and new drafts. Oh, dear...

I contributed some for that. Sorry. I ask your kind understanding. :-)

> > How do you think of FRD? We got a pretty nice result. :-)
> 
> I see it has potential. At a glance one concern which emerged to me was
> possible security issues. Unfortunately I'm not much of a security
> expert, and have some difficulties further analyzing the proposal from
> that perspective.

ok. 

> > Maybe that's the way I'd better follow and FRD would better to be
> > content with informational RFC as a kind of auxiliary solution.
> 
> I'm sort of newbie when it comes to the IETF but I would assume that
> some IETF people would have allergic reactions (much like I have with
> politics) on solutions that have operator "connections" (couldn't find
> any better English word right now). Taking that into account, I would
> guess that the road of an informational RFC would be a bit less bumpy.

ok. 
 
Nowadays I barely keep myself afloat dealing with the volume of mailing 
list. (Am I already drowning?) To me, trying to process mailings feels like 
trying to swallow water directly out of high-pressure fire hose. :-) 

See you soon in Paris, La Ville Luminaire, and let's have some fun together. 

Best Regards

JinHyeock

---

From: Subba Reddy <[email-masked]>
Date: Tue, 26 Jul 2005 17:36:13 +0530

Hi Tero,

> change from host H point of view)? After all, Prefix2 is not anymore

I think, host can not assume link change, if one of the prefixes is invalid.
In the case of link change, host deletes all its addresses, prefix table and
NC entries,
which is not the exact case if prefix changes.

In the above example, entries with Prefix1 are still valid.

Thanks & Regards,
Subba Reddy